Bug 21119 - parport.o missing from drivers.img
Summary: parport.o missing from drivers.img
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-20 12:32 UTC by Tim Waugh
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-18 22:57:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2000-11-20 12:32:56 UTC
The parport module, which several drivers in drivers.img depend on (plip,
imm, ppa), is missing.

Also, all of the drivers on paride.img seem to be on drivers.img (except of
course parport), although the modules.dep is missing some information about
the pcd ones; in that case, what is paride.img for?

Comment 1 Erik Troan 2000-12-19 23:15:17 UTC
paride is older then the drivers.img; we don't need it anymore

I moved the parport modules onto the driver disk for beta2; please test it. as
for the missing pcd dependencies, you added that bit of magic to mk-images; I
don't pretend to understand it!

In any case, please test this.

Comment 2 Brock Organ 2001-01-08 21:55:13 UTC
hmmm... looking in the drivers.img from qa0108.0, the parport modules ARE in the
modules.cgz cpio-ball (zcat modules.cgz | cpio -tv), but there is NO
corresponding entry in the modinfo file ...

-rw-r--r--   1 root     root        28823 Jan  8 07:03
2.4.0-0.43.12BOOT/parport.o
-rw-r--r--   1 root     root        22156 Jan  8 07:03
2.4.0-0.43.12BOOT/parport_pc.o


Comment 3 Erik Troan 2001-01-18 22:56:36 UTC
Fixed.


Note You need to log in before you can comment on or make changes to this bug.